LibreOffice: StringResourceWithStorage Service Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
StringResourceWithStorage Service Reference

specifies a service providing access to a resource string table implementing the com::sun::star::resource::XStringResourceWithStorage interface. More...

`import <StringResourceWithStorage.idl;`

Inheritance diagram for StringResourceWithStorage:

## Public Member Functions
| create ([in] ::com::sun::star::embed::XStorage Storage, [in] boolean ReadOnly, [in] com::sun::star::lang::Locale locale, [in] string BaseName, [in] string Comment) raises ( ::com::sun::star::lang::IllegalArgumentException )
| is used to initialize the object on its creation.
Public Member Functions inherited from XStringResourceWithStorage
void | storeAsStorage ([in] ::com::sun::star::embed::XStorage Storage) raises ( com::sun::star::uno::Exception )
| Stores all string table data to a storage and associates this storage to this instance as if setStorage() was called with this storage.
void | setStorage ([in] ::com::sun::star::embed::XStorage Storage) raises ( ::com::sun::star::lang::IllegalArgumentException )
| Associates a storage to the StringResourceWithStorage instance which is used on subsequent calls of store().
Public Member Functions inherited from XStringResourcePersistence
void | store () raises ( com::sun::star::lang::NoSupportException, com::sun::star::uno::Exception )
| Stores all string table data respectively all data modified since the last call to store() to the location or storage associated with the StringResourceManager.
boolean | isModified ()
| provides the current modify state of the StringResourceManager instance.
void | setComment ([in] string Comment)
| Sets the comment stored first in each locale data file.
void | storeToStorage ([in] ::com::sun::star::embed::XStorage Storage, [in] string BaseName, [in] string Comment) raises ( com::sun::star::uno::Exception )
| Stores all string table data to the provided storage.
void | storeToURL ([in] string URL, [in] string BaseName, [in] string Comment, [in] com::sun::star::task::XInteractionHandler Handler) raises ( com::sun::star::uno::Exception )
| Stores all string table data to the location specified by the passed URL string.
sequence< byte > | exportBinary ()
| Returns a sequence of byte representing the complete string resource in a binary format.
void | importBinary ([in] sequence< byte > Data) raises ( com::sun::star::lang::IllegalArgumentException )
| Initializes the string resource with binary data.
Public Member Functions inherited from XStringResourceManager
boolean | isReadOnly ()
| Returns the resource's read only state.
void | setCurrentLocale ([in] com::sun::star::lang::Locale Locale, [in] boolean FindClosestMatch) raises ( com::sun::star::lang::IllegalArgumentException )
| Sets the locale to be used.
void | setDefaultLocale ([in] com::sun::star::lang::Locale Locale) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::NoSupportException )
| Sets the default locale to be used.
void | setString ([in] string ResourceID, [in] string Str) raises ( com::sun::star::lang::NoSupportException )
| Associates a String to a Resource ID for the current locale.
void | setStringForLocale ([in] string ResourceID, [in] string Str, [in] com::sun::star::lang::Locale locale) raises ( com::sun::star::lang::NoSupportException )
| Associates a String to a Resource ID for a specific locale.
void | removeId ([in] string ResourceID) raises ( com::sun::star::resource::MissingResourceException, com::sun::star::lang::NoSupportException )
| Removes a Resource ID including the corresponding string for the current locale.
void | removeIdForLocale ([in] string ResourceID, [in] com::sun::star::lang::Locale locale) raises ( com::sun::star::resource::MissingResourceException, com::sun::star::lang::NoSupportException )
| Removes a Resource ID including the corresponding string for s specific locale.
void | newLocale ([in] com::sun::star::lang::Locale locale) raises ( com::sun::star::container::ElementExistException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::NoSupportException )
| Creates a new locale.
void | removeLocale ([in] com::sun::star::lang::Locale locale) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::NoSupportException )
| Removes a locale completely including the corresponding strings for each locale.
long | getUniqueNumericId () raises ( com::sun::star::lang::NoSupportException )
| Provides a numeric id that is unique within all Resource IDs used in the string table.
Public Member Functions inherited from XStringResourceResolver
string | resolveString ([in] string ResourceID) raises ( com::sun::star::resource::MissingResourceException )
| Resolves the passed ResourceID for the current locale.
string | resolveStringForLocale ([in] string ResourceID, [in] com::sun::star::lang::Locale locale) raises ( com::sun::star::resource::MissingResourceException )
| Resolves the passed ResourceID for a specific locale.
boolean | hasEntryForId ([in] string ResourceID)
| Checks if the resource contains an entry for the given ResourceID and current locale.
boolean | hasEntryForIdAndLocale ([in] string ResourceID, [in] com::sun::star::lang::Locale locale)
| Checks if the resource contains an entry for the given ResourceID and locale.
sequence< string > | getResourceIDs ()
| Returns a sequence of all valid Resource IDs for the current locale.
sequence< string > | getResourceIDsForLocale ([in] com::sun::star::lang::Locale locale)
| Returns a sequence of all valid Resource IDs for a specific locale.
com::sun::star::lang::Locale | getCurrentLocale ()
| Returns the current locale specified in the accessed resource.
com::sun::star::lang::Locale | getDefaultLocale ()
| Returns the default locale of the accessed resource.
sequence< com::sun::star::lang::Locale > | getLocales ()
| Returns a sequence of all supported locales.
Public Member Functions inherited from XModifyBroadcaster
void | addModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| adds the specified listener to receive events "modified."
void | removeModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| removes the specified listener.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

specifies a service providing access to a resource string table implementing the com::sun::star::resource::XStringResourceWithStorage interface.

## Member Function Documentation

## ◆ create()

create | ( | [in] ::com::sun::star::embed::XStorage | Storage,
|  | [in] boolean | ReadOnly,
|  | [in] com::sun::star::lang::Locale | locale,
|  | [in] string | BaseName,
|  | [in] string | Comment )
raises | ( | ::com::sun::star::lang::IllegalArgumentException ) |  |  |

is used to initialize the object on its creation.

Parameters

  Storage | Specifies the storage used to load and store - if the ReadOnly state allows it - the string table data.
  ReadOnly | Specifies if the resource should be read only, see `XStringResourceManager::isReadOnly`
  locale | Specifies if the locale first to be used as current locale. Internally the `XStringResourceManager::setCurrentLocale` method is called with FindClosestMatch=true. see `XStringResourceManager::setCurrentLocale`
  BaseName | Base string for the file names used to store the locale data. The locale data is stored in Java properties files also following the corresponding naming scheme. The files will be named like this: "[BaseName]_[Language]_[Country].properties", e.g. "MyBaseName_en_US.properties" If an empty string is passed for BaseName, "strings" will be used as BaseName.
  Comment | Comment stored first in each properties file followed by a line feed character. The line feed character is added automatically and hasn't to be part of the comment string. The caller is responsible that the passed string is a valid comment in a Java properties file, e.g. "# My strings". The string may be empty.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if a null interface is passed as Storage

The documentation for this service was generated from the following file:

- com/sun/star/resource/StringResourceWithStorage.idl